Subject: [bug#44954] [PATCH] Add hledger-web and dependencies.

From: paul <[email-masked]>
Date: Fri, 4 Dec 2020 20:15:37 +0100

Dear Tim,

On 12/3/20 4:59 PM, Timothy Sample wrote:
> Hi Giacomo,
>
> paul <[email-masked]> writes:
>
>> I'm sending a patch series to add hledger-web, its dependencies and to
>> update hledger, ghc-hledger-lib and ghc-doctest.
> Thanks for the patches!
>
> Currently, we are using GHC 8.6.5 as our main Haskell compiler, and then
> following the Stackage LTS Haskell 14.27 package set
> <https://www.stackage.org/lts-14.27> for package versions.
>
> Based on that, ghc-doctest, ghc-yesod-test, ghc-wai-app-static,
> ghc-yesod-static, ghc-hledger-lib, hledger, and hledger-web are too
> recent.  Also, strangely, ghc-yesod-core is too old.
>
> This is probably not your fault!  On older versions of Guix, using the
> “stackage” importer would yield packages for the most recent version of
> LTS Haskell.  This was fixed about a month ago.
>
> Now the importer will pick the correct versions, and running “guix lint”
> on your packages will flag any Haskell version problems.
>
> Would you be willing to fix the versions and send an updated patch
> series?
I apologize for this inconvenient, this is definitely my fault since I 
imported the packages with

guix import hackage -r hledger-web

I'm not an expert in Haskell so I didn't know about the difference 
between Hackage and Stackage and it's repercussions on Guix packaging.

I'm sending an updated patch series to fix the versions.

Thank you for your time,

Giacomo